: Class Prequest

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Prequest

    java.lang.Object
      |
      +--mpi.Request
            |
            +--mpi.Prequest

public class Prequest
extends Request

Field Summary
`protected static int` | `MODE_BUFFERED`
`protected static int` | `MODE_READY`
`protected static int` | `MODE_STANDARD`
`protected static int` | `MODE_SYNCHRONOUS`

Fields inherited from class mpi.Request
`buf, comm, count, dest, handle, hdrReq, length_buf, mode, NULL, offset, OP_NORMAL, OP_RECV_OBJECT, OP_SEND_OBJECT, opTag, src, tag, type`

Constructor Summary
`protected` | `Prequest()`
`protected` | `Prequest(int mode, java.lang.Object buf, int offset, int count, Datatype type, int dest, int tag, Comm comm, int[] length_buf, Prequest hdrReq)` Constructor used by `Send_init', etc.
`protected` | `Prequest(java.lang.Object buf, int offset, int count, Datatype type, int source, int tag, Comm comm, int[] length_buf)` Constructor used by `Recv_init'.

Method Summary
`void` | `Start()` Activate a persistent communication request.
`static void` | `Startall(Prequest[] array_of_request)` Activate a list of communication requests.

Methods inherited from class mpi.Request
`Cancel, Free, Is_null, Test, Testall, Testany, Testsome, Wait, Waitall, Waitany, Waitsome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_STANDARD

    protected static final int MODE_STANDARD

### MODE_BUFFERED

    protected static final int MODE_BUFFERED

### MODE_SYNCHRONOUS

    protected static final int MODE_SYNCHRONOUS

### MODE_READY

    protected static final int MODE_READY

Constructor Detail

### Prequest

    protected Prequest()

### Prequest

    protected Prequest(int mode,
                       java.lang.Object buf,
                       int offset,
                       int count,
                       Datatype type,
                       int dest,
                       int tag,
                       Comm comm,
                       int[] length_buf,
                       Prequest hdrReq)

  Constructor used by `Send_init', etc.

### Prequest

    protected Prequest(java.lang.Object buf,
                       int offset,
                       int count,
                       Datatype type,
                       int source,
                       int tag,
                       Comm comm,
                       int[] length_buf)

  Constructor used by `Recv_init'.

Method Detail

### Start

    public void Start()
               throws MPIException

  Activate a persistent communication request. Java binding of the MPI operation `MPI_START`. The communication is completed by using the request in one of the `wait` or `test` operations. On successful completion the request becomes inactive again. It can be reactivated by a further call to `Start`.

### Startall

    public static void Startall(Prequest[] array_of_request)
                         throws MPIException

  Activate a list of communication requests.

  `array_of_requests` | array of requests

  Java binding of the MPI operation `MPI_STARTALL`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD